Bug 127609 - Update WebCrypto JWK mapping to use key_ops
Summary: Update WebCrypto JWK mapping to use key_ops
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks: 122679
  Show dependency treegraph
 
Reported: 2014-01-24 22:31 PST by Alexey Proskuryakov
Modified: 2014-02-01 10:09 PST (History)
3 users (show)

See Also:


Attachments
patch (34.92 KB, patch)
2014-01-30 16:43 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
proposed fix (37.99 KB, patch)
2014-01-31 16:08 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2014-01-24 22:31:16 PST
The way WebCrypto key usages are mapped to JWK has changed since we implemented it. It used to be a comma separated list in "use" attribute, and now they go into a different attribute, key_ops.
Comment 1 Alexey Proskuryakov 2014-01-24 22:31:58 PST
Changes in <https://dvcs.w3.org/hg/webcrypto-api/rev/05819fa07004>.
Comment 2 Alexey Proskuryakov 2014-01-30 16:43:33 PST
Created attachment 222759 [details]
patch

I have this implemented, but the patch breaks tests because of an underlying library issue accidentally uncovered by this change, <rdar://problem/15949992>.
Comment 3 Alexey Proskuryakov 2014-01-31 15:58:03 PST
Turns out it's more of a WebCrypto spec issue than a library issue. Tracking that as <https://www.w3.org/Bugs/Public/show_bug.cgi?id=24457>.
Comment 4 Alexey Proskuryakov 2014-01-31 16:08:07 PST
Created attachment 222862 [details]
proposed fix
Comment 5 WebKit Commit Bot 2014-02-01 10:09:33 PST
Comment on attachment 222862 [details]
proposed fix

Clearing flags on attachment: 222862

Committed r163244: <http://trac.webkit.org/changeset/163244>
Comment 6 WebKit Commit Bot 2014-02-01 10:09:36 PST
All reviewed patches have been landed.  Closing bug.